## com.google.appengine.api.users
Class UserServiceFailureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.appengine.api.users.UserServiceFailureException

All Implemented Interfaces:
  java.io.Serializable

    public class UserServiceFailureException

extends java.lang.RuntimeException

`UserServiceFailureException` is thrown when any unknown error occurs while communicating with the user service.

See Also:
  Serialized Form

Constructor Summary
`UserServiceFailureException(java.lang.String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserServiceFailureException

    public UserServiceFailureException(java.lang.String message)